Bug 461335 - Review Request: csstidy - CSS parser and optimizer
Review Request: csstidy - CSS parser and optimizer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 20:25 EDT by Ian Weller
Modified: 2008-09-16 19:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 23:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-09-05 20:25:24 EDT
Spec URL:
  http://ianweller.fedorapeople.org/SRPMS/csstidy/1.4-1/csstidy.spec
SRPM URL:
  http://ianweller.fedorapeople.org/SRPMS/csstidy/1.4-1/csstidy-1.4-1.fc9.src.rpm

Description:
  CSSTidy is an open source CSS parser and optimizer. In opposite to most other
  CSS parsers, no regular expressions are used and thus CSSTidy has full CSS2
  support and a higher reliability.
Comment 1 Rakesh Pandit 2008-09-06 01:10:43 EDT
Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=809955  completed successfully

Build warning:
**** Compiling in release mode...

scons: warning: The env.Copy() method is deprecated; use the env.Clone() method instead.
File "/home/rpmbuild/rpm/BUILD/csstidy-1.4/csstidy/SConscript", line 7, in <module>
scons: done reading SConscript files.
scons: Building targets ...

you consider either using Clone method or use scons --warn=no-deprecated

rpmlint clean

rpmlint csstidy-1.4-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint csstidy-1.4-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint csstidy-debuginfo-1.4-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Rakesh Pandit 2008-09-06 04:40:44 EDT
Will do a detailed review soon.
Comment 3 Rakesh Pandit 2008-09-10 03:54:11 EDT
Summary:
APPROVED

1. You may like to fix above build WARNING.

Required:
[x] check the diff for src in srpm and source from project page
[x] license - correct
[x] license file - included
[x] naming - correct
[x] packaging guidelines correct
[x] doc files
[x] %file & %clean section have rm -rf %{buildroot}
[x] consistent use of macros 
[x] license correct, version correct
[x] description and summary - ok
[x] spec file legible and uses American English
[x] compiles - okay
[x] BuildReauires and Requires - okay
[x] shared libs - NA , no duplicate files, header files NA, Static libs - NA
[x] owns all directories
 
Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated
Comment 4 Rakesh Pandit 2008-09-10 03:57:45 EDT
Two more point, they are suggestions and don't block this request:

1. Remove this line:
"# The developer is ridiculous and puts together this archive on Windows, and fails miserably. "

It is not useful.

2. Regarding zip format:
If even after requesting for uploading source in .tar.gz or bz2 format fails. You can also directly use zip format and no need to unzip and re-compress in .tar.gz


Thanks
Comment 5 Ian Weller 2008-09-10 17:46:54 EDT
(In reply to comment #4)

> 2. Regarding zip format:
> If even after requesting for uploading source in .tar.gz or bz2 format fails.
> You can also directly use zip format and no need to unzip and re-compress in
> .tar.gz
>

Actually, it is necessary. When unzipping, unzip returns warnings, which for some weird reason return 1, which stops rpmbuild. So, the options were to
 1) rearchive it, or
 2) create an ugly bash script to say that if it returns 1, it actually means zero.
I'm lazy, so I selected number 1.

Also the upstream developer sort of left the project, but the software is still useful nontheless.

But anywho!

New Package CVS Request
=======================
Package Name: csstidy
Short Description: CSS parser and optimizer
Owners: ianweller
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Comment 6 Huzaifa S. Sidhpurwala 2008-09-11 00:49:20 EDT
cvs done
Comment 7 Fedora Update System 2008-09-12 23:55:14 EDT
csstidy-1.4-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/csstidy-1.4-1.fc8
Comment 8 Fedora Update System 2008-09-12 23:55:17 EDT
csstidy-1.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/csstidy-1.4-1.fc9
Comment 9 Fedora Update System 2008-09-16 19:20:39 EDT
csstidy-1.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-09-16 19:21:30 EDT
csstidy-1.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.